#include<bits/stdc++.h>

using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    long long n, k;
    cin >> n >> k;
    vector<char> a(n);
    for(int i=0;i<n;i++) {
        cin >> a[i];
    }
    long long br=2;
        long long kk=0;
    for(int i=0;i<n;i++) {
        if(i<k-1) {
            cout << "1 ";
            continue;
        }
        if(i<k*br) {
                kk++;

            cout << br << " ";
            if(kk==k) {
                    br++;
                    kk=0;
                }
        }
    }
   /* vector<vector<long long>> ppm(n, vector<long long>(k));
    for(int i=0;i<n;i++) {

        for(int j=0; j<k; j++)
        {
            ppm[i][j] = 0;
        }


    }
    for(int i=0; i<=n; i++) {
        for(int j=0; j<i; j++) {
            cout << a[j];
        }
        cout << endl;
    }
    cout << endl;
    for(int i=0;i<n;i++) {

        for(int j=0; j<k; j++)
        {
            cout << ppm[i][j] << " ";
        }
cout << endl;

    }*/
    /*for(int i=0;i<n;i++) {
        cout << a[i];
    }*/
    //const long long inff = numeric_limits<long long>::max();
    //cout << inff;
    return 0;
}